<?php
// An example themes/garland/theme-settings.php file.

/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/
function phptemplate_settings($saved_settings) {
  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the template.php file.
   */
  $defaults = array(
    'cto_font' => '',
    'cto_inlinesearch' => '',
    'cto_inlinelogin' => '',	
		'cto_dropdown' => 0,							
  );

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  // Create the form widgets using Forms API
  $form['cto_font'] = array(
    '#type' => 'select',
    '#title' => t('Font Family'),
    '#default_value' => $settings['cto_font'],
    '#options' => array(
     'Arial, Verdana, sans-serif' => t('Arial, Verdana, sans-serif (Default)'),
     'Verdana, Arial, sans-serif' => t('Verdana, Arial, sans-serif'),		 
     'Courier New, Courier, monospace' => t('Courier New, Courier, monospace'),
     'Tahoma, Verdana, Arial, Helvetica, sans-serif' => t('Tahoma, Verdana, Arial, Helvetica, sans-serif'),
     'Trebucher MS,Trebuchet, Verdana, Arial, Helvetica, sans-serif' => t('Trebucher MS,Trebuchet, Verdana, Arial, Helvetica, sans-serif'),		 		 
     'Times New Roman, Times, serif' => t('Times New Roman, Times, serif'),
     'Georgia, Times New Roman, Times, serif' => t('Georgia, Times New Roman, Times, serif'),
    ),
  );
	
  $form['cto_inlinesearch'] = array(
    '#type' => 'select',
    '#title' => t('Inline Search Form'),
    '#default_value' => $settings['cto_inlinesearch'],
    '#options' => array(
     '' => t('No Thanks'),
     'left' => t('Yes, align to the left'),		 
     'right' => t('Yes, align to the right'),
    ),
  );
  $form['cto_inlinelogin'] = array(
    '#type' => 'select',
    '#title' => t('Inline Login Form'),
    '#default_value' => $settings['cto_inlinelogin'],
    '#options' => array(
     '' => t('No Thanks'),
     'left' => t('Yes, align to the left'),		 
     'right' => t('Yes, align to the right'),
    ),
  );
  $form['cto_dropdown'] = array(
    '#type' => 'select',
    '#title' => t('Primary Links Dropdown Menu'),
    '#default_value' => $settings['cto_dropdown'],
    '#options' => array(
     '' => t('Disabled'),		 
     '1' => t('Enabled'),
    ),
  );					

  // Return the additional form widgets
  return $form;
}
?>